Rengeteg terminál érhető el már a piacon, kezdve a klasszikusoktól egészen a modernebb, Rust-alapú, hardveresen gyorsított megoldásokig. A választék bőséges, ezért kritikusan állok hozzá, amikor felüti a fejét egy újabb megoldás. Régebben találkoztam már a Wave-vel és próbáltam is, de nem éreztem, hogy le kéne váltanom az általam használt Warp terminált. Nézzük most, mi a helyzet vele.
![](https://beta.appflowy.cloud/api/file_storage/e6221a89-cf41-49b1-bd45-8156dd21c30f/v1/blob/95e4442f%2Df4ce%2D4e90%2D9ba7%2D46bd8ccc59a5/hRy3Y_8KLeQyAcb_865S8EDiuE_tu45pIYUVgmLpuMc=.webp)
## **Bemutató**
A Wave egy modern, nyílt forráskódú terminál, fájlszerkesztési és előnézeti funkciókkal, beépített AI- és böngészőintegrációval, mindezt modern, könnyen kezelhető megjelenéssel látták el.
A modern fejlesztés során gyakran kell váltogatni a terminál, a böngésző és a dokumentáció között, valamint folyamatosan ellenőrizni kell a fájlokat, gyakran bevetve a mesterséges intelligenciát is. A Wave ezeket az eszközöket közvetlenül egy terminálba hozza, grafikus felülettel, amely parancsokkal vezérelhető.
A Wave elérhető macOS, Linux és Windows rendszerekre.

## **Főbb jellemzők**
* Rugalmas fogd és vidd felület a terminálblokkok, szerkesztők, webböngészők és AI asszisztensek elhelyezéséhez.
* Beépített szerkesztő a távoli fájlok zökkenőmentes szerkesztéséhez, szintaxiskiemeléssel és modern szerkesztési funkciókkal.
* Fájlelőnézeti rendszer a távoli fájlok (Markdown, képek, videók, PDF, CSV és egyéb formátumok) számára.
* Integrált AI, több chatmodell támogatásával (OpenAI, Claude, Azure, Perplexity, Ollama).
* Parancsblokkok az egyes parancsok elkülönítéséhez és felügyeletéhez, automatikus bezárási lehetőségekkel.
* Egy kattintásos távoli kapcsolatok, teljes terminál- és fájlrendszer-hozzáféréssel.
* Részletes testreszabhatóság, beleértve a laptémákat, terminálstílusokat és háttereket.
* Hatékony "wsh" parancsrendszer a munkaterület kezeléséhez, a CLI-ről és a terminálok közötti adatmegosztáshoz.

## **Egyebek**
A legtöbb modern terminálban már van lehetőség a teljes testreszabásra, itt sincs ez másképp. A számos elérhető alapvariáción kívül lehetőség van saját igények szerinti testreszabásra.
Ami nem megszokottnak nevezhető, az a widgetek rendszere. A widgetek a jobb oldalsó sávban helyezkednek el. Itt lehetőség van saját widgetek létrehozására, amelyek lehetnek parancsok, weboldalak vagy távoli kapcsolatok. Egy kattintással akár elindíthatjuk kedvenc keresőnket, mindezt a terminálban.
Vannak előre meghatározott billentyűkombinációk, amelyeket természetesen testre szabhatunk, vagy akár újakat is adhatunk hozzá.
A Wave-ben lehetőség van kikapcsolni a telemetriai adatok gyűjtését.

## **Konklúzió**
A Wave terminál az írás készültekor még Béta verzió, de elérhető egy több verzióra előretekintő Roadmap, amely az ígéretek szerint a felhasználók igényei alapján fog fejlődni.
Ajánlott kezdőknek, illetve azoknak, akik számára idegen a terminál és ritkán használják. A könnyen átlátható felhasználói felület segítségükre lehet. Amennyiben elakadnának, helyben nyithatnak egy böngészőt keresésre, vagy kérhetik az AI segítségét is.
A terminálban rejlő lehetőségeket leginkább a fejlesztők fogják kihasználni. Számukra ez egy minden az egyben programcsomag, elegendő testreszabhatósággal és bővítési lehetőséggel. Remélhetőleg a fejlesztők a jövőben is nagy hangsúlyt fognak fektetni erre, és a Wave továbbra is nyílt forráskódú marad.
Letölteni a megfelelő rendszerre a [Waveterm](https://waveterm.io) oldalán lehet.
